Bug 2865 - некоректная обработка \\n (перевод строки)
: некоректная обработка \\n (перевод строки)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/sed)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-08-21 19:07 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-21 19:07:38
Судя по ману на sed:
>POSIX.2  BRE  должны  поддерживаться,  но  всё  же  не  >полностью. \\n последовательность  в  регулярном выражении >соответствует символу новой строки.

\\n должна обрабатываться, а sed из sisyphus делает следующее:
|$ echo \'asd\'|sed -re \"s|s|\\n|\"
|> and

Непорядочек.
---

---

------- Comment #1 From 2004-03-02 18:47:08 -------
За время пути из mantisа а bugzillу описание ошибки изменилось до
неузнаваемости. 

Помогите разобраться. 
------- Comment #2 From 2004-03-02 19:07:58 -------
Вот что было:
$ echo 'asd'|sed -re 's|s|\n|';
and
------- Comment #3 From 2004-03-02 19:10:51 -------
Ok, fixed in sed-4.0.9-alt1